Package org.codehaus.groovy.transform

# Interface TransformWithPriority

All Known Implementing Classes:
  `BuilderASTTransformation`, `LogASTTransformation`, `TupleConstructorASTTransformation`

public interface TransformWithPriority
AST transforms may optionally implement this interface and return a priority value. Transforms within the same phase will be executed from greater to lower values of priority. The default priority is zero.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `priority()`

- ## Method Details

  - ### priority

    int priority()